/**
 * @file          /kylin-license/lib/base/misc-utils.h
 * @brief         
 * @author        tangjie02 <tangjie02@kylinos.com.cn>
 * @copyright (c) 2020 KylinSec. All rights reserved. 
 */

#include <giomm.h>

#define LICENSE_NEW_INTERFACE
#include "license_i.h"

namespace Kiran
{
class MiscUtils
{
public:
    MiscUtils(){};
    virtual ~MiscUtils(){};

    static Glib::OptionEntry create_option_entry(const char &short_name,
                                                 const Glib::ustring &long_name,
                                                 const Glib::ustring &description,
                                                 const Glib::ustring &arg_description = Glib::ustring(),
                                                 int32_t flags = 0);

    static Glib::OptionEntry create_option_entry(const Glib::ustring &long_name,
                                                 const Glib::ustring &description,
                                                 const Glib::ustring &arg_description = Glib::ustring(),
                                                 int32_t flags = 0);
};
}  // namespace Kiran