/**
 * @file          /kylin-license/src/sn/license-generator.cpp
 * @brief         
 * @author        tangjie02 <tangjie02@kylinos.com.cn>
 * @copyright (c) 2020 KylinSec. All rights reserved. 
 */

#pragma once

#include "lib/base/base.h"
#include "license_manager_dbus_proxy.h"

namespace Kiran
{
namespace DBus
{
class LicenseManagerProxyWrapper : public com::kylinsec::Kiran::LicenseManager_proxy,
                                   public ::DBus::IntrospectableProxy,
                                   public ::DBus::ObjectProxy
{
public:
    static std::shared_ptr<LicenseManagerProxyWrapper> create(::DBus::Connection &connection, const std::string &path, const std::string &service_name);

    LicenseManagerProxyWrapper(::DBus::Connection &connection, const std::string &path, const std::string &service_name);
    virtual ~LicenseManagerProxyWrapper(){};

private:
};
}  // namespace DBus

}  // namespace Kiran
