/**
 * @file          /kylin-license/src/sn/license-generator.cpp
 * @brief         
 * @author        tangjie02 <tangjie02@kylinos.com.cn>
 * @copyright (c) 2020 KylinSec. All rights reserved. 
 */

#include "lib/dbus/license_object_proxy_wrapper.h"

namespace Kiran
{
namespace DBus
{
std::shared_ptr<LicenseObjectProxyWrapper> LicenseObjectProxyWrapper::create(::DBus::Connection &connection,
                                                                             const std::string &path,
                                                                             const std::string &service_name)
{
    return std::make_shared<LicenseObjectProxyWrapper>(connection, path, service_name);
}

LicenseObjectProxyWrapper::LicenseObjectProxyWrapper(::DBus::Connection &connection,
                                                     const std::string &path,
                                                     const std::string &service_name) : ::DBus::ObjectProxy(connection, path, service_name.c_str())
{
}

}  // namespace DBus

}  // namespace Kiran
